{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
    (modulesPath + "/profiles/headless.nix")
  ];

  networking = {
    hostName = "kitty";
    hostId = "8745e22e";
    interfaces."eno1".ipv4.addresses = [{
      address = "10.2.0.2";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "eno1";
    };
  };

  system = {
    server.enable = true;
    stateVersion = "24.11";
  };
}
